{# _datamax/api/templates/api_exchange/edit.html_ #}
{% extends "api_exchange_layout.html" %}

{% block body %}
<a class="card-link" href="#">
    <h5 class="card-title">Edit API</h5>
</a>

<br/>
<form method="post" action="{{ url_for('api_exchange.index') }}" id="addAPIform">
    <input type="hidden" name="name" value="edit_api">
    <input type="hidden" name="sequence" value="1">

    <div class="form-group">
        <label for="name">API Name</label>
        <input type="text" class="form-control" id="name" placeholder="" name="api_name" readonly>
        <small id="nameHelp" class="form-text text-muted">
            API name has to be unique.
        </small>
    </div><!-- .name -->
    <div class="form-group">
        <label for="description">Description</label>
        <input type="text" class="form-control" id="description" placeholder="" name="description">
        <small id="descriptionHelp" class="form-text text-muted">
        </small>
    </div><!-- .description -->
    <div class="form-group">
        <label for="connection">Connection</label>
        <select class="form-control" id="connection" name="connector_id">

        </select>
        <small id="connectionHelp" class="form-text text-muted">
        </small>
    </div><!-- .connection -->
    <div class="form-group">
        <label for="query">Query</label>
        <textarea class="form-control" id="query" name="query" placeholder="select * from my_table where name = %(param_name)s"></textarea>
        <small id="queryHelp" class="form-text text-muted">
            Use named parameters as per the PEP 249 guidelines. Example: %(param_name)s, %(id)s.
        </small>
    </div><!-- .query -->
    <div class="form-group">
        <label for="category">Category</label>
        <input type="text" class="form-control" id="category" placeholder="" name="category">
    </div><!-- .category -->
    <div class="form-group">
        <label for="status">Status</label>
        <input type="text"  class="form-control" name="status" value="pending" readonly id="status">
        <small id="statusHelp" class="form-text text-muted">
            You will need to approve the API to use it in the project.
        </small>
    </div><!-- .status -->
    <input type="submit" class="btn btn-primary float-right" name="submit" value="Add">
    <div class="loading float-right"></div>

</form>

<script>

    $(document).ready(function(){
        var id = {{ request.args.get('id') }};
        console.log(id);
        $.ajax({
            type:"POST",
            url: "{{ url_for('api_exchange.index') }}",
            data: 'name=get_api&id='+ id,
            success: function(data) {
                console.log(data);
                $("#name").val(data.Contents[0].name);
                $("#query").val(data.Contents[0].query);
                $("#description").val(data.Contents[0].description);
                $("#category").val(data.Contents[0].category);
                var connection_id = data.Contents[0].connection_id;
                $.ajax({
                    type: "GET",
                    url: "{{ url_for('api_exchange.index') }}",
                    data: 'name=all_connections',
                    success: function(data){
                      $.each(data.Contents, function(index, val){
                        var selected = (val.id == connection_id) ? 'selected': '';
                        $("#connection").append('<option value="' + val.id + '" ' + selected + '>' + val.name + '</option>');
                      });
                    }
                }); // second ajax request
            }
        });

    });

    $("#addAPIform").submit(function() {
        $.ajax({
         type: "POST",
         url: $(this).attr('action'),
         data: $(this).serialize(),
         success: function(data) {
                console.log(data);
                window.location.href = "./all";
         }
       })
       return false;
  })
</script>

{% endblock %}